×
Namespaces

Variants
Actions
(Difference between revisions)

Archived:Capability requirements for Flash Lite Viewer API

From Nokia Developer Wiki
Jump to: navigation, search
Forum Nokia KB (Talk | contribs)
m (1 revision(s))
Forum Nokia KB (Talk | contribs)

Revision as of 13:04, 14 November 2007


Template:KBTS

Subject:

Capability requirements for Flash Lite Viewer API TSS000512

 

Platform(s): Device(s), SW version(s):
S60 3rd Edition  

Category:

Symbian C++

Subcategory:

-

Description:

According to the S60 3rd Edition FP1 SDK, the new Flash Lite Viewer API requires that the stub application using it has NetworkControl capability. This implies that every standalone Flash application has to be Symbian Signed.
The information provided in the API documentation is incorrect, NetworkControl is not an unconditional capability requirement.
The purpose of the API is to provide a flexible mechanism for Flash Lite applications to be presented to the user in the phone’s application list (menu) with a customized icon and with its own platform security context. This is done by creating a basic Symbian OS application skeleton whose document would in fact be an instance of the Flash Light engine rendering a specified Flash animation (that can be for security reason installed in the application’s own data cage). With regards to the Platform Security context the application will have its own SecureID, VendorID, and a capability set designed to fit the requirements of the Flash application. That means that if, for example, the only capability-controlled functionality that the Flash application implements is Internet access, then declaring the NetworkServices capability for the stub Symbian OS application would be enough to satisfy the security policies. In this scenario submitting your application for certification is recommended but not mandatory.

Creation date:

November 30, 2006

Last modified:

-
66 page views in the last 30 days.
×